/*!
  \file SkypeExceptions.cpp

  \brief ++Skype library exceptions.  Implementation

  $Id: SkypeExceptions.cpp,v 1.4 2006/10/22 10:49:03 vit Exp $

  \author (c) Ice Brains Software, llc.  http://www.icebrains-soft.com
  \date   16.08.2005 16:48:30 MSD
*/

#include "h/SkypeExceptions.h"

SkypeAPIError::SkypeAPIError(const std::string& _obj_name, const int& _err_code, const std::string& _err_txt, const std::string& _err_msg)
	      : SkypeError(""), obj_name(_obj_name), err_code(_err_code), err_txt(_err_txt), err_msg(_err_msg), what_str("[")
{
  what_str.append(_obj_name);
  what_str.append("]: ");
  what_str.append(_err_txt);
};

const int& SkypeAPIError::GetErrNo() const
{ return err_code; };

const std::string& SkypeAPIError::GetErrTxt() const
{ return err_txt; };

const std::string& SkypeAPIError::GetObjName() const
{ return obj_name; };

const std::string& SkypeAPIError::GetErrMsg() const
{ return err_msg; };

const char* SkypeAPIError::what() const throw()
{
  return what_str.c_str();	
};

SkypeInvalidSearch::SkypeInvalidSearch(const std::string& _obj_name, const int& _err_code, const std::string& _err_txt, const std::string& _err_msg)
		   : SkypeAPIError(_obj_name, _err_code, _err_txt, _err_msg)
{};	

