## Configuration parameters (pathes, tools names) for linux build environment


## Compilation and clean stage parameters
# Path to the c++ compiler
CCP 	= g++
# Remove utility
RM	= rm -f
# Find utility 
FIND	= find 
# ar utility 
AR	= ar

# Pathes required for correct compilation and linkage
# Path to the Loki library headers
LOKI_INCLUDES = /usr/include
# Path to the loki library
LOKI_LIB = /usr/local/lib
# Path to the boost library headers
BOOST_INCLUDES = /usr/local/include/boost-1_33_1
# Path to the boost libraries
BOOST_LIB = /usr/local/lib/

# Which interface use to connect to Skype - DBUS or X11
#USE_INTERFACE = DBUS
USE_INTERFACE = X11

# Path to the D-BUS library headers.  If USE_INTERFACE == X11, this variable does no matter
DBUS_INCLUDES = /usr/local/include/dbus-1.0
# Path to the D_BUS additional header (located in lib-subdirectory of d-bus)
# If USE_INTERFACE == X11, this variable does no matter
DBUS_DEP_INCLUDES = /usr/local/lib/dbus-1.0/include
# Path to the D-BUS library lib If USE_INTERFACE == X11, this variable does no matter
DBUS_LIB = /usr/local/lib/ 

## install stage parameters 
# Tool used to install software
INSTALL = /usr/bin/install
# Directory to install ++skype
INSTALL_DIR = /usr/local/ppskype
# mkdir utility
MKDIR = mkdir

## Documentation generation stage parameter
# Doxygen utility
DOXYGEN	= doxygen

# Additional CFLAGS to compile unix version of the ++Skype
ifeq (${USE_INTERFACE}, DBUS) 
UNIX_CFLAGS = -DUSE_DBUS_INTERFACE
else
UNIX_CFLAGS = -DUSE_X11_INTERFACE
endif

