#include "h/SkypeConnection.h"
#include "SkypeTest.h"

typedef StreamLogger<LvlTimeLogPrefix> MyLogger_t;
MyLogger_t logger(std::cout);
LogFunc_t lf(&logger, &MyLogger_t::Do);


void DefaultCallback(const std::string& s)
{
	fprintf(stdout, "%s: '%s'\n", __FUNCTION__, s.c_str());	
};

bool GetAgcFromConfig()
{
	// get param from cfg
	// ...
	return false;
}

int main(int argc, char* argv[])
{
	SimpleHandler_t def(DefaultCallback);
    RawSkypeConnection<> sk(def, argv[0], lf);
    sk.Attach();
    sk << DisableIds << "PROTOCOL 99" << flush << EnableIds;


//--- Tutorial example code ---
	sk << "PING";
	sk.flush();
	sk << "SET AEC " << true << flush;
	bool r = GetAgcFromConfig();
	sk << "SET AGC " << r << flush;
//--- End of tutorial example code ---

	const boost::posix_time::seconds tm(1);
	Impl::Sleep(tm);
	ProcessSkypeMsgs(sk, tm);

	return 0;
}


