#include "h/Calls.h"
#include "h/SkypeConnection.h"

#include "SkypeTest.h"

typedef StreamLogger<LvlTimeLogPrefix> MyLogger_t;
MyLogger_t logger(std::cout);
LogFunc_t lf(&logger, &MyLogger_t::Do);
using namespace Ice;

void DefaultCallback(const std::string& s)
{
//	fprintf(stdout, "%s: '%s'\n", __FUNCTION__, s.c_str());	
};

//--- Tutorial example code ---
bool NewCallWatcher(Call& call)
{ 
	bool t = !call[clType].compare("OUTGOING_P2P");
	t = t || (!call[clType].compare("OUTGOING_PSTN"));
	if(t) 
	{
		std::cout << "Outgoing call to: '";
		std::cout << call[clPartnerHandle] << "'" << std::endl;
	};
	return t;
};
//--- End of tutorial example code ---

int main(int argc, char* argv[])
{
//    SkypeConnection sk(argv[0], SimpleHandler_t(DefaultCallback), lf);
    SkypeConnection sk(argv[0], SimpleHandler_t(DefaultCallback));
    sk.Attach();
    sk << DisableIds << "PROTOCOL 99" << flush << EnableIds;
	CallManager cm(sk, sk.GetLog());

//--- Tutorial example code ---
	// The same as: std::set<CallAttrs_t> attrs;
	CallManager::AttrSet_t attrs;
	attrs.insert(clType);
	attrs.insert(clPartnerHandle);
	cm.RegisterListener(attrs, NewCallWatcher);
//--- End of tutorial example code ---


	const boost::posix_time::seconds tm(1);
	for(int i = 60; i >= 0; --i)
	{
		ProcessSkypeMsgs(sk, tm);
		std::cout << "****** Please make call via Skype (you have " << i << " sec) *****" << std::endl;
	}

	return 0;
}
