/*!
  \file utils.cpp

  \brief Some useful library routines.  Implementation.

  $Id: utils.cpp,v 1.7 2006/05/22 09:42:58 tarle Exp $

  \author (c) Ice Brains Software, llc.  http://www.icebrains-soft.com
  \date   25.09.2005 08:19:52 MSD
*/

#include "h/Cfg.h"

extern "C" {
#ifdef SKYPE_MSC
  #include <windows.h>
#else
  #ifndef SKYPE_MINGW	
    #include <sys/select.h>
  #endif // !SKYPE_MINGW	
  #include <sys/types.h>
  #include <sys/time.h>
  #include <unistd.h>
#endif // SKYPE_MSC
};

#include "h/utils.h"

void Impl::Sleep(boost::posix_time::time_duration _td)
{
  if(!_td.is_negative()) {
    #if defined(SKYPE_NIX)
	  boost::posix_time::ptime _t_beg(boost::posix_time::microsec_clock::universal_time());
	  timeval _tv;
	  _tv.tv_sec = _td.total_seconds();
  	  _tv.tv_usec = _td.total_microseconds() - _td.total_seconds() * 1000000;
	  while(boost::posix_time::microsec_clock::universal_time() - _t_beg < _td) select(0, NULL, NULL, NULL, &_tv);
    #else
	  ::Sleep(_td.total_milliseconds());
    #endif //SKYPE_NIX
  };

};


